Subject: bug#22534: File notify broken on Windows

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Feb 2016 21:15:50 +0200

> From: Fabrice Popineau <[email-masked]>
> Date: Mon, 8 Feb 2016 20:15:59 +0100
> Cc: Michael Albinus <[email-masked]>, [email-masked]
> 
>  > From: Fabrice Popineau <[email-masked]>
>  > Date: Mon, 8 Feb 2016 11:43:10 +0100
>  > Cc: Eli Zaretskii <[email-masked]>, [email-masked]
>  >
>  > > events: ((created changed deleted)) ((17491048 created
>  > > c:/Users/Fabrice/AppData/Local/Temp/file-notify-test-parent20748Ali/file-notify-test20748Nvo)
>  > > (17491048 changed
>  > > c:/Users/Fabrice/AppData/Local/Temp/file-notify-test-parent20748Ali/file-notify-test20748Nvo))
>  >
>  > Fails also for me in batch mode. Surprisingly, it doesn't fail always,
>  > sometimes (about 1 in 10 runs) it succeeds here, and fails in the next
>  > step. Strange.
>  >
>  > I see the same. The deleted notifications number vary. When you expect 2, sometimes I see 1.
>  > When you expect one, sometimes I see it. But not frequently.
> 
>  Did you try adding calls to read-event after the functions that are
>  supposed to produce these events?
> 
> Yes, but with no results.

Strange.  I see none of that on my machine.  Maybe it's because my
disk is SSD, maybe because this is XP.  Who knows?

Michael, I think it's time to do what you suggested:

> If we do not care the missing `deleted' event in batch mode, I could
> make it optional in the test.

Re this:

> But maybe it is an indication for a serious problem in w32notify.

It might, but it's unlikely, and I won't have time to dig into this in
the following weeks, so I guess this will have to wait for a recipe I
can reproduce on one of my machines.

Thanks.